Zandronum Chat on our Discord Server Get the latest version: 3.0
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003876Zandronum[All Projects] Bugpublic2021-01-30 19:052021-07-23 21:09
ReporterRecurracy 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionduplicate 
PlatformMicrosoftOSWindows 10OS Version
Product Version3.1-beta 
Target VersionFixed in Version3.1 
Summary0003876: ACS function SetActorProperty APROP_ScaleX nun-functional in MP
DescriptionI'm using SetActorProperty(0, APROP_ScaleX, 4.0) in an ACS library to widen enemies a certain projectile hits. However, it simply refused to work when I made a server to test my mod, so I tried to make a quick map using Ultimate Doombuilder to replicate it. It worked in the map. Then I decided to run my mod in singleplayer and then it suddenly worked. From this I can deduce the function doesn't work in multiplayer.
Steps To ReproduceStart Doomseeker with the included, and make a server. Use the plasma rifle to shoot an enemy. In multiplayer, the enemy shouldn't become wide, while if you start the game with this wad in singleplayer, they will become wide.
Attached Files? file icon xscaleglitch.pk3 [^] (1,017 bytes) 2021-01-30 19:05

- Relationships
duplicate of 0003847resolvedTorr Samaho SetActorProperty with APROP_ScaleX or APROP_ScaleY does not work online 

-  Notes
User avatar (0021596)
Ivan (reporter)
2021-02-10 04:49

Already reported by me here:https://zandronum.com/tracker/view.php?id=3867 [^]

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2021-01-30 19:05 Recurracy New Issue
2021-01-30 19:05 Recurracy File Added: xscaleglitch.pk3
2021-02-10 04:49 Ivan Note Added: 0021596
2021-07-23 21:09 Kaminsky Relationship added duplicate of 0003847
2021-07-23 21:09 Kaminsky Status new => closed
2021-07-23 21:09 Kaminsky Resolution open => duplicate
2021-07-23 21:09 Kaminsky Fixed in Version => 3.1






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2021 MantisBT Team
Powered by Mantis Bugtracker